> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bulk BAV Status V2

> Use this API to get the details of the bulk bank account verification request by passing either the bulk reference ID or bulk validation ID. If you want to get the status of a single entry, pass the particular reference ID in the request. 

<Note>
  * Cashfree does not support the verification of Deutsche Bank and Paytm Payments Bank accounts.
  * For further queries, please refer to the [Bank Account Verification FAQs](/secure-id/kyc-stack/verify-bank-account#faqs).
</Note>


## OpenAPI

````yaml get /bank-account/bulk
openapi: 3.0.0
info:
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  title: Cashfree Verification API's.
  version: '2023-12-18'
  description: >-
    Cashfree's Verification APIs provide different types of verification to our
    merchants.
servers:
  - description: Sandbox Server
    url: https://sandbox.cashfree.com/verification
  - description: Production Server
    url: https://api.cashfree.com/verification
security: []
tags:
  - name: Aadhaar
    description: Operations related to Aadhaar verification.
  - name: BAV V2
    description: Operations related to Bank account verification v2.
  - name: PAN
    description: Operations related to PAN verification.
  - name: Digilocker
    description: Operations related to Digilocker verification.
  - name: E-sign
    description: Operations related to E-sign verification.
  - name: Reverse Penny Drop
    description: Operations related to Reverse Penny Drop verification.
  - name: UPI Penny Drop
    description: Operations related to UPI Penny Drop verification.
  - name: Mobile Penny Drop
    description: Operations related to Mobile Penny Drop verification.
  - name: IP
    description: Operation related to IP verification.
  - name: UPI
    description: Operations related to UPI verification.
  - name: Passport
    description: Operation related to Passport verification.
  - name: CIN
    description: Operation related to CIN verification.
  - name: Name Match
    description: Operation related to Name Match verification.
  - name: PAN to GSTIN
    description: Operation related to PAN to GSTIN.
  - name: Face Match
    description: Operation related to Face Match verification.
  - name: Voter ID
    description: Operation related to Voter ID verification.
  - name: Reverse Geocoding
    description: Operation related to Reverse Geocoding.
  - name: Vehicle RC
    description: Operation related to Vehicle RC verification.
  - name: Driving License
    description: Operation related to Driving License verification.
  - name: GSTIN
    description: Operation related to GSTIN verification.
  - name: Account Aggregator
    description: Operations related to Account aggregator.
  - name: OTPLess
    description: Operations related to OTPLess Verification.
  - name: 1-Click
    description: Operations related to 1-Click.
  - name: Smart OCR
    description: Operations related to Smart OCR.
  - name: Geocoding
    description: Operations related to Geocoding.
  - name: Udyam
    description: Operation related to Udyam verification.
  - name: PAN to Udyam
    description: Operation related to PAN to Udyam.
paths:
  /bank-account/bulk:
    get:
      tags:
        - BAV V2
      summary: Get Bulk BAV Status V2
      description: >-
        Use this API to get the details of the bulk bank account verification
        request by passing either the bulk reference ID or bulk validation ID.
        If you want to get the status of a single entry, pass the particular
        reference ID in the request. 
      operationId: VrsBulkBavGetStatusV2
      parameters:
        - $ref: '#/components/parameters/x_cf_signature'
        - name: bulk_reference_id
          in: query
          description: >-
            It is unique ID you receive in the response of Bulk Bank Account
            Verification API.

            format: `int64`
          example: 1234
          schema:
            type: integer
        - name: bulk_verification_id
          in: query
          description: >-
            It is the unique ID created to identify the bulk bank validation
            request.
          example: test-bulk-123
          schema:
            type: string
        - name: reference_id
          in: query
          description: >-
            It is unique ID for a single entry you receive in the response of
            Get status of Bulk Bank Account Verification API.

            format: `int64`
          example: 1234
          schema:
            type: integer
      responses:
        '200':
          $ref: '#/components/responses/BulkBavV2GetStatusResponse'
        '400':
          $ref: '#/components/responses/400GetStatusBulkBAVV2'
        '401':
          $ref: '#/components/responses/Response401'
        '403':
          $ref: '#/components/responses/Response403'
        '404':
          $ref: '#/components/responses/404GetStatusBulkBAVV2'
        '429':
          $ref: '#/components/responses/Response429'
        '500':
          $ref: '#/components/responses/Response500V2'
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    x_cf_signature:
      description: >-
        Send the signature if two-factor authentication is selected as Public
        Key.  [More
        details](https://www.cashfree.com/docs/api-reference/vrs/getting-started#2fa-api-signature-generation).
      name: x-cf-signature
      in: header
      required: false
      schema:
        type: string
      example: ''
  responses:
    BulkBavV2GetStatusResponse:
      description: Success response for Get Bulk BAV Status V2.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BulkBAVV2ValidationSuccessfulSchema'
          examples:
            Fetch for single reference_id:
              value:
                bulk_verification_id: test-bulk-123
                bulk_reference_id: 1234
                entries:
                  - bank_account: 11020001772
                    ifsc: HDFC0000001
                    name: John Doe
                    phone: 7709736537
                    reference_id: 1097293
                    name_at_bank: John Doe
                    account_status: VALID
                    account_status_code: ACCOUNT_IS_VALID
                    utr: '404223241811'
                    name_match_score: '100'
                    name_match_result: DIRECT_MATCH
            Fetch all entries from bulkValidationId or bulk_reference_id:
              value:
                bulk_verification_id: test-bulk-123
                bulk_reference_id: 1234
                entries:
                  - bank_account: 11020001772
                    ifsc: HDFC0000001
                    name: John Doe
                    phone: 7709736537
                    reference_id: 1097293
                    name_at_bank: John Doe
                    account_status: VALID
                    account_status_code: ACCOUNT_IS_VALID
                    utr: '404223241811'
                    name_match_score: '100'
                    name_match_result: DIRECT_MATCH
                  - bank_account: 11020001772
                    ifsc: HDFC0000001
                    name: John Doe
                    phone: 7709736537
                    reference_id: 1097293
                    name_at_bank: null
                    account_status: INVALID
                    account_status_code: INVALID_ACCOUNT_FAIL
                    utr: null
                    name_match_score: null
                    name_match_result: null
                  - bank_account: 11020001772
                    ifsc: HDFC0000001
                    name: John Doe
                    phone: 7709736537
                    reference_id: 1097293
                    name_at_bank: null
                    account_status: INVALID
                    account_status_code: NRE_ACCOUNT_FAIL
                    utr: null
                    name_match_score: null
                    name_match_result: null
                  - bank_account: 11020001772
                    ifsc: HDFC0000001
                    name: John Doe
                    phone: 7709736537
                    reference_id: 1097293
                    name_at_bank: null
                    account_status: INVALID
                    account_status_code: ACCOUNT_BLOCKED
                    utr: null
                    name_match_score: null
                    name_match_result: null
                  - bank_account: 11020001772
                    ifsc: HDFC0000001
                    name: John Doe
                    phone: 7709736537
                    reference_id: 1097293
                    name_at_bank: null
                    account_status: INVALID
                    account_status_code: INVALID_IFSC_FAIL
                    utr: null
                    name_match_score: null
                    name_match_result: null
                  - bank_account: 11020001772
                    ifsc: HDFC0000001
                    name: John Doe
                    phone: 7709736537
                    reference_id: 1097293
                    name_at_bank: null
                    account_status: REJECTED
                    account_status_code: FRAUD_ACCOUNT
                    utr: null
                    name_match_score: null
                    name_match_result: null
                  - bank_account: 11020001772
                    ifsc: HDFC0000001
                    name: John Doe
                    phone: 7709736537
                    reference_id: 1097293
                    name_at_bank: null
                    account_status: REJECTED
                    account_status_code: BAV_BLOCKED
                    utr: null
                    name_match_score: null
                    name_match_result: null
                  - bank_account: 11020001772
                    ifsc: HDFC0000001
                    name: John Doe
                    phone: 7709736537
                    reference_id: 1097293
                    name_at_bank: null
                    account_status: REJECTED
                    account_status_code: VERIFICATION_ALREADY_UNDER_PROCESS
                    utr: null
                    name_match_score: null
                    name_match_result: null
                  - bank_account: 11020001772
                    ifsc: HDFC0000001
                    name: John Doe
                    phone: 7709736537
                    reference_id: 1097293
                    name_at_bank: null
                    account_status: FAILED
                    account_status_code: FAILED_AT_BANK
                    utr: null
                    name_match_score: null
                    name_match_result: null
                  - bank_account: 11020001772
                    ifsc: HDFC0000001
                    name: John Doe
                    phone: 7709736537
                    reference_id: 1097293
                    name_at_bank: null
                    account_status: FAILED
                    account_status_code: IMPS_MODE_FAIL
                    utr: null
                    name_match_score: null
                    name_match_result: null
                  - bank_account: 11020001772
                    ifsc: HDFC0000001
                    name: John Doe
                    phone: 7709736537
                    reference_id: 1097293
                    name_at_bank: null
                    account_status: FAILED
                    account_status_code: IMPS_MODE_FAIL
                    utr: null
                    name_match_score: null
                    name_match_result: null
                  - bank_account: 11020001772
                    ifsc: HDFC0000001
                    name: John Doe
                    phone: 7709736537
                    reference_id: 1097293
                    name_at_bank: null
                    account_status: FAILED
                    account_status_code: BENE_BANK_DECLINED
                    utr: null
                    name_match_score: null
                    name_match_result: null
                  - bank_account: 11020001772
                    ifsc: HDFC0000001
                    name: John Doe
                    phone: 7709736537
                    reference_id: 1097293
                    name_at_bank: null
                    account_status: FAILED
                    account_status_code: CONNECTION_TIMEOUT
                    utr: null
                    name_match_score: null
                    name_match_result: null
                  - bank_account: 11020001772
                    ifsc: HDFC0000001
                    name: John Doe
                    phone: 7709736537
                    reference_id: 1097293
                    name_at_bank: null
                    account_status: FAILED
                    account_status_code: NPCI_UNAVAILABLE
                    utr: null
                    name_match_score: null
                    name_match_result: null
                  - bank_account: 11020001772
                    ifsc: HDFC0000001
                    name: John Doe
                    phone: 7709736537
                    reference_id: 1097293
                    name_at_bank: null
                    account_status: FAILED
                    account_status_code: SOURCE_BANK_DECLINED
                    utr: null
                    name_match_score: null
                    name_match_result: null
                  - bank_account: 11020001772
                    ifsc: HDFC0000001
                    name: John Doe
                    phone: 7709736537
                    reference_id: 1097293
                    name_at_bank: null
                    account_status: FAILED
                    account_status_code: BENEFICIARY_BANK_OFFLINE
                    utr: null
                    name_match_score: null
                    name_match_result: null
                  - bank_account: 11020001772
                    ifsc: HDFC0000001
                    name: John Doe
                    phone: 7709736537
                    reference_id: 1097293
                    name_at_bank: null
                    account_status: REJECTED
                    account_status_code: INSUFFICIENT_BALANCE
                    utr: null
                    name_match_score: null
                    name_match_result: null
    400GetStatusBulkBAVV2:
      description: Validation error GetStatus Bav v2.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Missing Bulk Reference ID and Bulk Verification ID:
              value:
                type: validation_error
                code: invalid_request
                message: Please provide bulk_reference_id or bulk_verification_id
            Invalid Bulk Verification ID:
              value:
                type: validation_error
                code: bulk_verification_id_value_invalid
                message: >-
                  bulk_verification_id can include only alphanum, dot, hyphen
                  and underscores.
            Bulk Verification ID length exceeded:
              value:
                type: validation_error
                code: bulk_verification_id_length_exceeded
                message: bulk_verification_id can include a maximum of 50 characters.
            Missing header:
              value:
                type: validation_error
                code: x-client-id_missing
                message: x-client-id is missing in the request.
            Using test credentials:
              value:
                type: validation_error
                code: x-client-secret_value_invalid
                message: Client secret belongs to test environment
    Response401:
      description: Invalid client ID and client secret combination.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Invalid client ID and client secret combination:
              value:
                type: authentication_error
                code: authentication_failed
                message: Invalid clientId and clientSecret combination
    Response403:
      description: Authentication error (IP not whitelisted).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            IP not whitelisted:
              value:
                type: authentication_error
                code: ip_validation_failed
                message: >-
                  IP not whitelisted your current ip is 106.51.91.104.For IP
                  whitelisting assistance, visit our guide at
                  https://www.cashfree.com/docs/secure-id/get-started/integration/ip-whitelisting-verification
            x-cf-signature header missing:
              value:
                type: validation_error
                code: authentication_failed
                message: x-cf-signature missing in the request header
    404GetStatusBulkBAVV2:
      description: Reference ID and user ID not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Bulk Reference ID not found:
              value:
                type: validation_error
                code: bulk_reference_id_not_found
                message: bulk_reference_id does not exist.
            Bulk Verification ID not found:
              value:
                type: validation_error
                code: bulk_verification_id_not_found
                message: bulk_verification_id does not exist.
            Reference ID not found:
              value:
                type: validation_error
                code: reference_id_not_found
                message: reference_id does not exist.
    Response429:
      description: Rate limit exceed error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Rate limit error per operation:
              value:
                type: rate_limit_error
                code: too_many_requests_per_operation
                message: Too many requests for this operation, rate limit reached
            Rate limit error per IP:
              value:
                type: rate_limit_error
                code: too_many_requests_per_ip
                message: Too many requests from the IP, rate limit reached
    Response500V2:
      description: Internal error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Internal Server Error:
              value:
                type: internal_error
                code: verification_failed
                message: something went wrong
  schemas:
    BulkBAVV2ValidationSuccessfulSchema:
      type: object
      properties:
        bulk_reference_id:
          type: integer
          description: >-
            It displays the unique ID created by Cashfree Payments for reference
            purposes.

            format: `int64`
          example: 1234
        bulk_verification_id:
          type: string
          description: It displays the unique ID you created to identify the API request.
          example: test-bulk-123
        entries:
          description: It displays the verified bank account information.
          type: array
          items:
            type: object
            properties:
              reference_id:
                type: integer
                description: >-
                  It displays the unique ID created by Cashfree Payments for
                  reference purposes.

                  format: `int64`
                example: 123
              name_at_bank:
                type: string
                description: >-
                  It displays the name of the account holder as per the bank
                  records.
                example: JOHN DOE
              bank_name:
                type: string
                description: It displays the name of the bank.
                example: YES BANK
              utr:
                type: string
                description: >-
                  It displays the unique transaction reference (UTR) number
                  created by the bank to identify the transaction.
                example: '404223241811'
              city:
                type: string
                description: It displays the name of the city where the bank is located.
                example: MUMBAI
              branch:
                type: string
                description: >-
                  It displays the name of the branch where the bank account is
                  registered.
                example: SANTACRUZ, MUMBAI
              micr:
                type: integer
                description: >-
                  It represents the code used to identify banks and branches
                  participating in the Electronic Clearing System (ECS).
                example: 33
              name_match_score:
                type: string
                description: It displays the score of the name match verification.
                example: '90.00'
              name_match_result:
                type: string
                description: >-
                  It displays the result of the name match verification.

                  Possible values are:

                  - `DIRECT_MATCH`

                  - `GOOD_PARTIAL_MATCH`

                  - `MODERATE_PARTIAL_MATCH`

                  - `POOR_PARTIAL_MATCH`

                  - `NO_MATCH`


                  [Click here to view the detailed descriptions of each
                  value](https://www.cashfree.com/docs/api-reference/vrs/v2/bav-v2/bav-response-description#name-match-result-description)
                example: GOOD_PARTIAL_MATCH
              account_status:
                type: string
                description: |-
                  It displays the status of the bank account.
                  Possible values are:

                    - `VALID`

                    - `INVALID`

                    - `RECEIVED`

                    - `FAILED`

                    - `REJECTED`

                    - `APPROVAL_PENDING`

                    - `PARTIALLY_APPROVED`

                    - `IN_PROCESS`

                    - `CANCELLED`

                    - `PROCESSING`

                    - `MANUALLY_REJECTED`


                    [Click here to view the detailed descriptions of each value](https://www.cashfree.com/docs/api-reference/vrs/v2/bav-v2/bav-response-description#account-status-description).
                example: VALID
              account_status_code:
                type: string
                description: >-
                  It displays the status code of the bank account.

                  Possible values are:

                  - `ACCOUNT_IS_VALID`

                  - `FRAUD_ACCOUNT`

                  - `FAILED_AT_BANK`

                  - `NPCI_UNAVAILABLE`

                  - `CONNECTION_TIMEOUT`

                  - `SOURCE_BANK_DECLINED`

                  - `BENE_BANK_DECLINED`

                  - `IMPS_MODE_FAIL`

                  - `BENEFICIARY_BANK_OFFLINE`

                  - `VALIDATION_IN_PROGRESS`

                  - `INVALID_ACCOUNT_FAIL`

                  - `INVALID_IFSC_FAIL`

                  - `VERIFICATION_ALREADY_UNDER_PROCESS`

                  - `NRE_ACCOUNT_FAIL`

                  - `ACCOUNT_BLOCKED`

                  - `INSUFFICIENT_BALANCE`


                  [Click here to view the detailed descriptions of each
                  value](https://www.cashfree.com/docs/api-reference/vrs/v2/bav-v2/bav-response-description#account-status-code-description).
                example: ACCOUNT_IS_VALID
          example:
            - reference_id: 34
              name_at_bank: BHARATHTEST GKUMARUT
              bank_name: YES BANK
              city: MUMBAI
              branch: SANTACRUZ, MUMBAI
              micr: 400532038
              name_match_score: '90.00'
              name_match_result: GOOD_PARTIAL_MATCH
              account_status: VALID
              account_status_code: ACCOUNT_IS_VALID
              utr: '404223241811'
    ErrorResponseSchema:
      type: object
      properties:
        code:
          type: string
          example: x-client-id_missing
        error:
          type: object
          example:
            ref_id: 102
        message:
          type: string
          example: x-client-id is missing in the request.
          description: It displays the outcome of the error.
        type:
          type: string
          example: validation_error
          description: It displays the type of error.
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Your unique client identifier issued by Cashfree. You can find this in
        your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        The secret key associated with your client ID. Use this to authenticate
        your API requests. You can find this in your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).

````